import { createRouter, createWebHashHistory } from 'vue-router'
import HomeView from '../views/HomeView.vue'
import ChatInterface from '../views/ChatInterface.vue'
import LoginView from '../views/Login.vue'

const routes = [
  {
    path: '/',
    name: 'home',
    component: HomeView
  },
  {
    path: '/login',
    name: 'login',
    component: LoginView
  },
  {
    path: '/chat',
      name: 'ChatInterface',
      component: ChatInterface
  }
]

const router = createRouter({
  history: createWebHashHistory(location.pathname),
  routes
})

export default router
